import java.util.HashMap;

public class TCPReceiver implements TransportReceiver {
    Link sender_link;
    int src_port;
    int dst_port;
    ApplicationReceiver app;

    TCPReceiver(int src, int dst) {
	src_port = src;
	dst_port = dst;
    }

    public void deliver(Packet packet) {
	if (packet instanceof TCPPacket) {
	    TCPPacket p = (TCPPacket)packet;
	    app.deliver(p.app_data, p.app_size);
	}
    }
}
