public class TCPSender implements  TransportSender {
    Link link;

    int src_port;
    int dst_port;
    int seq_num;

    TCPSender(int src, int dst) {
	link = null;
	src_port = src;
	dst_port = dst;
    }

    void connect(Link l) {
	link = l;
    }

    public boolean send(byte [] data, int size) {
	TCPPacket p = new TCPPacket(data, size);
	p.src_port = src_port;	// sender port
	p.dst_port = dst_port;	// receiver port
	link.send(p);
	return true;
    }

    public void open() {}

    public void close() {}
}
