public class TCPPacket implements Packet {
    int src_port;		// multiplexing
    int dst_port;		// de-multiplexing

    int seq_num;		// reliability
    int ack_num;
    boolean ack;

    byte [] app_data;
    int app_size;

    TCPPacket(byte [] d, int s) {
	app_data = d;
	app_size = s;
    }

    public int size() {
	return app_size + 20;
    }

    public String toString() {
	return new String(app_data);
    }
}
