public interface TransportSender {
    /** send data on the behalf of the application
     *
     * Return true when the data is accepted for delivery.  Return
     * false when the request is rejected, and therefore the
     * application is effectively blocked.
     */
    public boolean send(byte [] data, int size);

    /** open this transport connection/association
     */
    public void open();

    /** close this transport connection/association
     */
    public void close();
}
